List pending agent delegations for a thread
curl --request GET \
--url https://api.fetchhive.com/v1/agent/threads/{thread_id}/delegations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fetchhive.com/v1/agent/threads/{thread_id}/delegations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fetchhive.com/v1/agent/threads/{thread_id}/delegations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"delegations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"kind": "workflow",
"target": {},
"parent_request_id": "<string>",
"tool_call_id": "<string>",
"result": {},
"expected_by": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"delivery_error": "<string>",
"workflow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Invalid access."
}Agents
List pending agent delegations for a thread
Lists pending and running background workflows for a conversation thread.
Pass the same thread_id you send to POST /v1/agent/invoke.
This GET does not consume the daily API request quota.
GET
/
v1
/
agent
/
threads
/
{thread_id}
/
delegations
List pending agent delegations for a thread
Was this page helpful?

